%define oname akonadi-mime

Summary:	Plasma 5 Akonadi MIME
Name:		plasma5-%{oname}
Version:	17.08.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	xsltproc
BuildRequires:	boost-devel
BuildRequires:	kf5akonadi-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5itemmodels-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5mime-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(shared-mime-info)
Conflicts:	kdepimlibs4-core

%description
Plasma 5 Akonadi MIME.

%files
%{_kde5_bindir}/akonadi_benchmarker
%{_kde5_datadir}/config.kcfg/specialmailcollections.kcfg
%{_datadir}/mime/packages/x-vnd.kde.contactgroup.xml

#----------------------------------------------------------------------------

%package i18n
Summary:	Plasma 5 Akonadi MIME library translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
Plasma 5 Akonadi MIME library translations

%files i18n -f libakonadi-kmime5.lang

#----------------------------------------------------------------------------

%define kf5akonadimime_major 5
%define libkf5akonadimime %mklibname kf5akonadimime %{kf5akonadimime_major}

%package -n %{libkf5akonadimime}
Summary:	Plasma 5 Akonadi shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5akonadimime}
Plasma 5 Akonadi shared library.

%files -n %{libkf5akonadimime}
%{_kde5_libdir}/libKF5AkonadiMime.so.%{kf5akonadimime_major}*

#----------------------------------------------------------------------------

%define devkf5akonadimime %mklibname kf5akonadimime -d

%package -n %{devkf5akonadimime}
Summary:	Development files for Plasma 5 Akonadi
Group:		Development/KDE and Qt
Requires:	%{libkf5akonadimime} = %{EVRD}
Provides:	kf5akonadimime-devel = %{version}

%description -n %{devkf5akonadimime}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5akonadimime}
%dir %{_kde5_includedir}/KF5/Akonadi/KMime
%{_kde5_includedir}/KF5/Akonadi/KMime/*
%dir %{_kde5_includedir}/KF5/akonadi/kmime
%{_kde5_includedir}/KF5/akonadi/kmime/*
%{_kde5_includedir}/KF5/akonadi-mime_version.h
%{_kde5_libdir}/cmake/KF5AkonadiMime
%{_kde5_libdir}/libKF5AkonadiMime.so
%{_kde5_mkspecsdir}/qt_AkonadiMime.pri

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang libakonadi-kmime5

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (3b56994) New version 17.08.2


